Cannot launch IDE 1.1.4 on MacOS 10.13.6: Java UnsupportedClassVersionError

Asked by CP on 2018-10-10

I downloaded current 1.1.4 sikulix.jar as well as jruby and jython from here: https://raiman.github.io/SikuliX1/downloads.html

I put all 3 in a new Sikuli folder in my home directory (I also tried Applications).

When I attempt to open sikulix.jar (via right-click open to bypass gatekeeper) jruby and jython files disappear, but otherwise nothing happens.

When I launch via terminal, `java -jar path` I get the following error:

Exception in thread "main" java.lang.UnsupportedClassVersionError: org/sikuli/ide/Sikulix : Unsupported major.minor version 52.0
 at java.lang.ClassLoader.defineClass1(Native Method)
 at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
 at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
 at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
 at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
 at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
 at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
 at java.security.AccessController.doPrivileged(Native Method)
 at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
 at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
 at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)

MacOS 10.13.6. According to the Java Control Panel I have current 8 update 181.

What do I need to do to resolve this?

Question information

Language:
English Edit question
Status:
Needs information
For:
Sikuli Edit question
Assignee:
No assignee Edit question
Last query:
2018-10-10
Last reply:
2018-10-12
RaiMan (raimund-hocke) said : #1

what do you get with
java -version

in your Terminal?

Can you help with this problem?

Provide an answer of your own, or ask CP for more information if necessary.

To post a message you must log in.